Subject: bug#22301: 25.1.50; Emacs crashes while lisp debugging

From: Eli Zaretskii <[email-masked]>
Date: Fri, 15 Jan 2016 09:46:43 +0200

> From: Vincent Belaïche <[email-masked]> 
> Cc: Vincent Belaïche <[email-masked]>
>  ,[email-masked]
> Date: Thu, 14 Jan 2016 23:54:57 +0100
> 
> > Please tell what these commands display:
> >
> >   (gdb) p p
> >   (gdb) p end
> >
> > Thanks.
> 
> Here you are. I tried to print other variables too, but unfortunately,
> when doing that it seems that I have killed the gdb session (doing `p
> *p' has caused gdb to get locked telling "value has been optimized out",
> and then I had to do `M-x signal-process RET shell RET 3 RET' to exit
> from this.
> 
> --8<----8<----8<----8<----8<-- begin -->8---->8---->8---->8---->8----
> (gdb) p p
> $1 = <optimized out>
> (gdb) p end
> $2 = (unsigned char *) 0x9bbcd354 <Address 0x9bbcd354 out of bounds>
> (gdb) p obj
> $3 = 12579352
> (gdb) p name
> $4 = <optimized out>
> (gdb) p *p
> (gdb) value has been optimized out

This just means you compiled Emacs with optimizations.  Can you
reproduce this in an unoptimized build?